> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/api-documentation/quickpay/endpoints/deposit-creation-endpoint/notifications.md).

# Notifications

QuickPay notifications about the change of status of a deposit use the same structure than a normal deposits as shown on [Deposit Status Endpoint](/api-documentation/deposits-api/endpoints/deposit-status-endpoint.md)

## Deposit Notification example

```json

{
    "deposit_id": 123456789
}


```

Use the [Deposit Status Endpoint](/api-documentation/deposits-api/endpoints/deposit-status-endpoint.md) to check the status of the transaction.

Also, before approving the transaction we send you an extra notification (if you have configured the callback URL for QuickPay) with the following details

### QuickPay Deposit Notification example

```javascript
{
  "depositId": 123456789,
  "document": "84932568207",
  "fullName": "John Doe",
  "cadastralSituation": "REGULAR",
  "dateOfBirth": "19871027",
  "pep": true,
  "address": "Rua 13, Sao Paulo, 12345-678 ",
  "email": "jon.doe@example.com",
  "success": true
}
```

You must respond with an HTTP 2XX code for the deposit to be approved. If you respond with anything different, a refund will be initiated.&#x20;

This also triggers a notification similar to the previous one, but with the addition of the ‘refunded = true’ field.

```javascript
{
  "depositId": 123456789,
  "document": "84932568207",
  "fullName": "John Doe",
  "cadastralSituation": "REGULAR",
  "dateOfBirth": "19871027",
  "pep": true,
  "address": "Rua 13, Sao Paulo, 12345-678 ",
  "email": "jon.doe@example.com",
  "success": true,
  "refunded":true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pandablue.com/api-documentation/quickpay/endpoints/deposit-creation-endpoint/notifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
